WARNING: at /build/buildd/linux-3.8.0/net/wireless/sme.c:642 cfg80211_roamed+0x9a/0xa0 [cfg80211]()

Bug #1159306 reported by C de-Avillez
138
This bug affects 29 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Confirmed
Undecided
Unassigned

Bug Description

I do not know how long this has been going on, as of now. But I looked today at /var/log/syslog, it it was pretty much *only* this warning + stacktrace, one after the other, every few seconds. This is the first occurence of it, from a saved syslog:

Mar 22 18:29:32 xango3 kernel: [13498.800669] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Mar 22 18:29:32 xango3 kernel: [13498.800672] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 22 18:29:32 xango3 kernel: [13498.800675] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 22 18:29:32 xango3 NetworkManager[1649]: <info> (eth1): supplicant interface state: disconnected -> scanning
Mar 22 18:29:35 xango3 kernel: [13501.484571] net_ratelimit: 24 callbacks suppressed
Mar 22 18:29:36 xango3 wpa_supplicant[1777]: eth1: Trying to associate with 00:7f:28:e9:f9:fb (SSID='beth-el2' freq=2462 MHz)
Mar 22 18:29:36 xango3 NetworkManager[1649]: <info> (eth1): supplicant interface state: scanning -> associating
Mar 22 18:29:36 xango3 wpa_supplicant[1777]: eth1: CTRL-EVENT-ASSOC-REJECT status_code=16
Mar 22 18:29:37 xango3 NetworkManager[1649]: <info> (eth1): roamed from BSSID 00:7F:28:E9:F9:FB (beth-el2) to (none) ((none))
Mar 22 18:29:41 xango3 kernel: [13507.164978] ------------[ cut here ]------------
Mar 22 18:29:41 xango3 kernel: [13507.165031] WARNING: at /build/buildd/linux-3.8.0/net/wireless/sme.c:642 cfg80211_roamed+0x9a/0xa0 [cfg80211]()
Mar 22 18:29:41 xango3 kernel: [13507.165034] Hardware name: Latitude E6410
Mar 22 18:29:41 xango3 kernel: [13507.165036] Modules linked in: usb_storage(F) snd_usb_audio snd_usbmidi_lib hid_generic asix usbnet ebtable_nat(F) ebtables(F) xt_CHECKSUM(F) iptable_mangle(F) pci_stub vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) ipt_MASQUERADE(F) iptable_nat(F) nf_nat_ipv4(F) bridge(F) stp(F) llc(F) dm_crypt(F) ip6t_REJECT(F) xt_hl(F) ip6t_rt(F) nf_conntrack_ipv6(F) nf_defrag_ipv6(F) ipt_REJECT(F) xt_LOG(F) bnep xt_limit(F) xt_tcpudp(F) xt_addrtype(F) rfcomm nf_conntrack_ipv4(F) nf_defrag_ipv4(F) uvcvideo xt_state(F) videobuf2_vmalloc videobuf2_memops ip6table_filter(F) ip6_tables(F) videobuf2_core snd_hda_codec_hdmi nf_conntrack_netbios_ns(F) videodev nf_conntrack_broadcast(F) nf_nat_ftp(F) nf_nat(F) joydev(F) lib80211_crypt_tkip nf_conntrack_ftp(F) wl(POF) nf_conntrack(F) snd_hda_codec_idt iptable_filter(F) ip_tables(F) snd_hda_intel x_tables(F) snd_hda_codec binfmt_misc(F) snd_hwdep(F) snd_pcm(F) coretemp snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F) kvm_intel snd_rawmidi
Mar 22 18:29:41 xango3 kernel: (F) snd_seq(F) lib80211 kvm snd_seq_device(F) snd_timer(F) dell_laptop cfg80211 btusb snd(F) dcdbas bluetooth dell_wmi soundcore(F) psmouse(F) ppdev(F) sparse_keymap microcode(F) mac_hid lpc_ich tpm_tis intel_ips serio_raw(F) parport_pc(F) lp(F) parport(F) hid_logitech_dj usbhid hid nouveau mxm_wmi wmi ghash_clmulni_intel(F) aesni_intel(F) aes_x86_64(F) xts(F) lrw(F) gf128mul(F) ablk_helper(F) cryptd(F) video(F) i2c_algo_bit ttm drm_kms_helper ahci(F) libahci(F) drm sdhci_pci firewire_ohci firewire_core sdhci e1000e(F) crc_itu_t(F)
Mar 22 18:29:41 xango3 kernel: [13507.165164] Pid: 1073, comm: wl_event_handle Tainted: PF O 3.8.0-13-generic #23-Ubuntu
Mar 22 18:29:41 xango3 kernel: [13507.165167] Call Trace:
Mar 22 18:29:41 xango3 kernel: [13507.165177] [<ffffffff810587df>] warn_slowpath_common+0x7f/0xc0
Mar 22 18:29:41 xango3 kernel: [13507.165182] [<ffffffff8105883a>] warn_slowpath_null+0x1a/0x20
Mar 22 18:29:41 xango3 kernel: [13507.165207] [<ffffffffa0371cea>] cfg80211_roamed+0x9a/0xa0 [cfg80211]
Mar 22 18:29:41 xango3 kernel: [13507.165260] [<ffffffffa06415d5>] wl_bss_connect_done.isra.20+0x115/0x1c0 [wl]
Mar 22 18:29:41 xango3 kernel: [13507.165305] [<ffffffffa0641ef5>] wl_notify_connect_status+0x345/0x460 [wl]
Mar 22 18:29:41 xango3 kernel: [13507.165350] [<ffffffffa0641a15>] wl_event_handler+0x55/0x1f0 [wl]
Mar 22 18:29:41 xango3 kernel: [13507.165395] [<ffffffffa06419c0>] ? wl_notify_scan_status+0x340/0x340 [wl]
Mar 22 18:29:41 xango3 kernel: [13507.165400] [<ffffffff8107d350>] kthread+0xc0/0xd0
Mar 22 18:29:41 xango3 kernel: [13507.165405] [<ffffffff8107d290>] ? kthread_create_on_node+0x120/0x120
Mar 22 18:29:41 xango3 kernel: [13507.165411] [<ffffffff816d2c2c>] ret_from_fork+0x7c/0xb0
Mar 22 18:29:41 xango3 kernel: [13507.165416] [<ffffffff8107d290>] ? kthread_create_on_node+0x120/0x120
Mar 22 18:29:41 xango3 kernel: [13507.165419] ---[ end trace 7b2493a9432dccd3 ]---
Mar 22 18:29:41 xango3 kernel: [13507.481641] net_ratelimit: 2 callbacks suppressed
Mar 22 18:29:46 xango3 kernel: [13512.534921] ------------[ cut here ]------------
Mar 22 18:29:46 xango3 kernel: [13512.534970] WARNING: at /build/buildd/linux-3.8.0/net/wireless/sme.c:642 cfg80211_roamed+0x9a/0xa0 [cfg80211]()
Mar 22 18:29:46 xango3 kernel: [13512.534973] Hardware name: Latitude E6410
Mar 22 18:29:46 xango3 kernel: [13512.534975] Modules linked in: usb_storage(F) snd_usb_audio snd_usbmidi_lib hid_generic asix usbnet ebtable_nat(F) ebtables(F) xt_CHECKSUM(F) iptable_mangle(F) pci_stub vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) ipt_MASQUERADE(F) iptable_nat(F) nf_nat_ipv4(F) bridge(F) stp(F) llc(F) dm_crypt(F) ip6t_REJECT(F) xt_hl(F) ip6t_rt(F) nf_conntrack_ipv6(F) nf_defrag_ipv6(F) ipt_REJECT(F) xt_LOG(F) bnep xt_limit(F) xt_tcpudp(F) xt_addrtype(F) rfcomm nf_conntrack_ipv4(F) nf_defrag_ipv4(F) uvcvideo xt_state(F) videobuf2_vmalloc videobuf2_memops ip6table_filter(F) ip6_tables(F) videobuf2_core snd_hda_codec_hdmi nf_conntrack_netbios_ns(F) videodev nf_conntrack_broadcast(F) nf_nat_ftp(F) nf_nat(F) joydev(F) lib80211_crypt_tkip nf_conntrack_ftp(F) wl(POF) nf_conntrack(F) snd_hda_codec_idt iptable_filter(F) ip_tables(F) snd_hda_intel x_tables(F) snd_hda_codec binfmt_misc(F) snd_hwdep(F) snd_pcm(F) coretemp snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F) kvm_intel snd_rawmidi
Mar 22 18:29:46 xango3 kernel: (F) snd_seq(F) lib80211 kvm snd_seq_device(F) snd_timer(F) dell_laptop cfg80211 btusb snd(F) dcdbas bluetooth dell_wmi soundcore(F) psmouse(F) ppdev(F) sparse_keymap microcode(F) mac_hid lpc_ich tpm_tis intel_ips serio_raw(F) parport_pc(F) lp(F) parport(F) hid_logitech_dj usbhid hid nouveau mxm_wmi wmi ghash_clmulni_intel(F) aesni_intel(F) aes_x86_64(F) xts(F) lrw(F) gf128mul(F) ablk_helper(F) cryptd(F) video(F) i2c_algo_bit ttm drm_kms_helper ahci(F) libahci(F) drm sdhci_pci firewire_ohci firewire_core sdhci e1000e(F) crc_itu_t(F)
Mar 22 18:29:46 xango3 kernel: [13512.535101] Pid: 1073, comm: wl_event_handle Tainted: PF W O 3.8.0-13-generic #23-Ubuntu
Mar 22 18:29:46 xango3 kernel: [13512.535104] Call Trace:
Mar 22 18:29:46 xango3 kernel: [13512.535114] [<ffffffff810587df>] warn_slowpath_common+0x7f/0xc0
Mar 22 18:29:46 xango3 kernel: [13512.535118] [<ffffffff8105883a>] warn_slowpath_null+0x1a/0x20
Mar 22 18:29:46 xango3 kernel: [13512.535142] [<ffffffffa0371cea>] cfg80211_roamed+0x9a/0xa0 [cfg80211]
Mar 22 18:29:46 xango3 kernel: [13512.535193] [<ffffffffa0641444>] wl_notify_roaming_status+0xb4/0x130 [wl]
Mar 22 18:29:46 xango3 kernel: [13512.535238] [<ffffffffa0641a15>] wl_event_handler+0x55/0x1f0 [wl]
Mar 22 18:29:46 xango3 kernel: [13512.535283] [<ffffffffa06419c0>] ? wl_notify_scan_status+0x340/0x340 [wl]
Mar 22 18:29:46 xango3 kernel: [13512.535289] [<ffffffff8107d350>] kthread+0xc0/0xd0
Mar 22 18:29:46 xango3 kernel: [13512.535293] [<ffffffff8107d290>] ? kthread_create_on_node+0x120/0x120
Mar 22 18:29:46 xango3 kernel: [13512.535300] [<ffffffff816d2c2c>] ret_from_fork+0x7c/0xb0
Mar 22 18:29:46 xango3 kernel: [13512.535304] [<ffffffff8107d290>] ? kthread_create_on_node+0x120/0x120
Mar 22 18:29:46 xango3 kernel: [13512.535307] ---[ end trace 7b2493a9432dccd4 ]---
Mar 22 18:29:46 xango3 wpa_supplicant[1777]: eth1: Authentication with 00:7f:28:e9:f9:fb timed out.
Mar 22 18:29:46 xango3 NetworkManager[1649]: <info> (eth1): supplicant interface state: associating -> disconnected
Mar 22 18:29:47 xango3 kernel: [13513.470207] net_ratelimit: 2 callbacks suppressed
Mar 22 18:29:47 xango3 NetworkManager[1649]: <info> (eth1): supplicant interface state: disconnected -> scanning
Mar 22 18:29:48 xango3 NetworkManager[1649]: <warn> (eth1): link timed out.
Mar 22 18:29:48 xango3 NetworkManager[1649]: <info> (eth1): device state change: activated -> failed (reason 'supplicant-timeout') [100 120 11]
Mar 22 18:29:48 xango3 NetworkManager[1649]: <warn> Activation (eth1) failed for connection 'beth-el2'
Mar 22 18:29:48 xango3 dbus[1106]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Mar 22 18:29:48 xango3 NetworkManager[1649]: <info> (eth1): device state change: failed -> disconnected (reason 'none') [120 30 0]
Mar 22 18:29:48 xango3 NetworkManager[1649]: <info> (eth1): deactivating device (reason 'none') [0]
Mar 22 18:29:48 xango3 dbus[1106]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Mar 22 18:29:48 xango3 NetworkManager[1649]: <info> (eth1): canceled DHCP transaction, DHCP client pid 2411
Mar 22 18:29:48 xango3 avahi-daemon[1177]: Withdrawing address record for fe80::5eac:4cff:fe53:a47f on eth1.
Mar 22 18:29:48 xango3 avahi-daemon[1177]: Leaving mDNS multicast group on interface eth1.IPv6 with address fe80::5eac:4cff:fe53:a47f.
Mar 22 18:29:48 xango3 avahi-daemon[1177]: Interface eth1.IPv6 no longer relevant for mDNS.
Mar 22 18:29:48 xango3 avahi-daemon[1177]: Withdrawing address record for 192.168.1.128 on eth1.
Mar 22 18:29:48 xango3 NetworkManager[1649]: <info> Policy set 'Wired connection 1' (eth0) as default for IPv4 routing and DNS.
Mar 22 18:29:48 xango3 avahi-daemon[1177]: Leaving mDNS multicast group on interface eth1.IPv4 with address 192.168.1.128.
Mar 22 18:29:48 xango3 avahi-daemon[1177]: Interface eth1.IPv4 no longer relevant for mDNS.
Mar 22 18:29:48 xango3 NetworkManager[1649]: <info> Writing DNS information to /sbin/resolvconf
Mar 22 18:29:48 xango3 dnsmasq[2365]: setting upstream servers from DBus
Mar 22 18:29:48 xango3 dnsmasq[2365]: using nameserver 192.168.1.1#53
Mar 22 18:29:48 xango3 NetworkManager[1649]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Mar 22 18:29:49 xango3 ntpd[2827]: Deleting interface #4 eth1, 192.168.1.128#123, interface stats: received=0, sent=0, dropped=0, active_time=13482 secs
Mar 22 18:29:49 xango3 ntpd[2827]: peers refreshed
Mar 22 18:29:50 xango3 NetworkManager[1649]: <info> (eth1): supplicant interface state: scanning -> inactive
Mar 22 18:29:50 xango3 avahi-daemon[1177]: Joining mDNS multicast group on interface eth1.IPv6 with address fe80::5eac:4cff:fe53:a47f.
Mar 22 18:29:50 xango3 avahi-daemon[1177]: New relevant interface eth1.IPv6 for mDNS.
Mar 22 18:29:50 xango3 avahi-daemon[1177]: Registering new address record for fe80::5eac:4cff:fe53:a47f on eth1.*.
Mar 22 18:29:58 xango3 kernel: [13524.458283] net_ratelimit: 2 callbacks suppressed
Mar 22 18:29:59 xango3 kernel: [13525.030862] ------------[ cut here ]------------
Mar 22 18:29:59 xango3 kernel: [13525.030915] WARNING: at /build/buildd/linux-3.8.0/net/wireless/sme.c:642 cfg80211_roamed+0x9a/0xa0 [cfg80211]()
Mar 22 18:29:59 xango3 kernel: [13525.030919] Hardware name: Latitude E6410
Mar 22 18:29:59 xango3 kernel: [13525.030921] Modules linked in: usb_storage(F) snd_usb_audio snd_usbmidi_lib hid_generic asix usbnet ebtable_nat(F) ebtables(F) xt_CHECKSUM(F) iptable_mangle(F) pci_stub vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) ipt_MASQUERADE(F) iptable_nat(F) nf_nat_ipv4(F) bridge(F) stp(F) llc(F) dm_crypt(F) ip6t_REJECT(F) xt_hl(F) ip6t_rt(F) nf_conntrack_ipv6(F) nf_defrag_ipv6(F) ipt_REJECT(F) xt_LOG(F) bnep xt_limit(F) xt_tcpudp(F) xt_addrtype(F) rfcomm nf_conntrack_ipv4(F) nf_defrag_ipv4(F) uvcvideo xt_state(F) videobuf2_vmalloc videobuf2_memops ip6table_filter(F) ip6_tables(F) videobuf2_core snd_hda_codec_hdmi nf_conntrack_netbios_ns(F) videodev nf_conntrack_broadcast(F) nf_nat_ftp(F) nf_nat(F) joydev(F) lib80211_crypt_tkip nf_conntrack_ftp(F) wl(POF) nf_conntrack(F) snd_hda_codec_idt iptable_filter(F) ip_tables(F) snd_hda_intel x_tables(F) snd_hda_codec binfmt_misc(F) snd_hwdep(F) snd_pcm(F) coretemp snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F) kvm_intel snd_rawmidi
Mar 22 18:29:59 xango3 kernel: (F) snd_seq(F) lib80211 kvm snd_seq_device(F) snd_timer(F) dell_laptop cfg80211 btusb snd(F) dcdbas bluetooth dell_wmi soundcore(F) psmouse(F) ppdev(F) sparse_keymap microcode(F) mac_hid lpc_ich tpm_tis intel_ips serio_raw(F) parport_pc(F) lp(F) parport(F) hid_logitech_dj usbhid hid nouveau mxm_wmi wmi ghash_clmulni_intel(F) aesni_intel(F) aes_x86_64(F) xts(F) lrw(F) gf128mul(F) ablk_helper(F) cryptd(F) video(F) i2c_algo_bit ttm drm_kms_helper ahci(F) libahci(F) drm sdhci_pci firewire_ohci firewire_core sdhci e1000e(F) crc_itu_t(F)
Mar 22 18:29:59 xango3 kernel: [13525.031048] Pid: 1073, comm: wl_event_handle Tainted: PF W O 3.8.0-13-generic #23-Ubuntu
Mar 22 18:29:59 xango3 kernel: [13525.031051] Call Trace:
Mar 22 18:29:59 xango3 kernel: [13525.031060] [<ffffffff810587df>] warn_slowpath_common+0x7f/0xc0
Mar 22 18:29:59 xango3 kernel: [13525.031065] [<ffffffff8105883a>] warn_slowpath_null+0x1a/0x20
Mar 22 18:29:59 xango3 kernel: [13525.031089] [<ffffffffa0371cea>] cfg80211_roamed+0x9a/0xa0 [cfg80211]
Mar 22 18:29:59 xango3 kernel: [13525.031138] [<ffffffffa06415d5>] wl_bss_connect_done.isra.20+0x115/0x1c0 [wl]
Mar 22 18:29:59 xango3 kernel: [13525.031183] [<ffffffffa0641ef5>] wl_notify_connect_status+0x345/0x460 [wl]
Mar 22 18:29:59 xango3 kernel: [13525.031228] [<ffffffffa0641a15>] wl_event_handler+0x55/0x1f0 [wl]
Mar 22 18:29:59 xango3 kernel: [13525.031344] [<ffffffffa06419c0>] ? wl_notify_scan_status+0x340/0x340 [wl]
Mar 22 18:29:59 xango3 kernel: [13525.031364] [<ffffffff8107d350>] kthread+0xc0/0xd0
Mar 22 18:29:59 xango3 kernel: [13525.031380] [<ffffffff8107d290>] ? kthread_create_on_node+0x120/0x120
Mar 22 18:29:59 xango3 kernel: [13525.031387] [<ffffffff816d2c2c>] ret_from_fork+0x7c/0xb0
Mar 22 18:29:59 xango3 kernel: [13525.031392] [<ffffffff8107d290>] ? kthread_create_on_node+0x120/0x120

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: bcmwl-kernel-source 6.20.155.1+bdcom-0ubuntu6
ProcVersionSignature: Ubuntu 3.8.0-14.24-generic 3.8.4
Uname: Linux 3.8.0-14-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.9.2-0ubuntu2
Architecture: amd64
Date: Sat Mar 23 20:57:22 2013
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-02-10 (41 days ago)
InstallationMedia: Kubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130209)
MarkForUpload: True
SourcePackage: bcmwl
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.9.2-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: cerdea 3118 F.... pulseaudio
 /dev/snd/controlC1: cerdea 3118 F.... pulseaudio
 /dev/snd/controlC0: cerdea 3118 F.... pulseaudio
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=377bef37-24f6-4057-8471-99f8c3a897a9
InstallationDate: Installed on 2013-02-10 (41 days ago)
InstallationMedia: Kubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130209)
MachineType: Dell Inc. Latitude E6410
MarkForUpload: True
NonfreeKernelModules: wl
Package: linux (not installed)
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-14-generic root=UUID=6317ad42-3502-4697-886c-5bf5ae80b76d ro
ProcVersionSignature: Ubuntu 3.8.0-14.24-generic 3.8.4
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-14-generic N/A
 linux-backports-modules-3.8.0-14-generic N/A
 linux-firmware 1.104
Tags: raring
Uname: Linux 3.8.0-14-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip libvirtd lpadmin plugdev sambashare scanner sudo vboxusers
dmi.bios.date: 07/30/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A13
dmi.board.name: 0K42JR
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA13:bd07/30/2012:svnDellInc.:pnLatitudeE6410:pvr0001:rvnDellInc.:rn0K42JR:rvrA01:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6410
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

Revision history for this message
C de-Avillez (hggdh2) wrote :
tags: added: apport-collected
description: updated
Revision history for this message
C de-Avillez (hggdh2) wrote : AlsaInfo.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : BootDmesg.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : CRDA.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : CurrentDmesg.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : IwConfig.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : Lspci.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : Lsusb.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : ProcEnviron.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : ProcInterrupts.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : ProcModules.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : PulseList.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : RfKill.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : UdevDb.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : UdevLog.txt

apport information

Revision history for this message
C de-Avillez (hggdh2) wrote : WifiSyslog.txt

apport information

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bcmwl (Ubuntu):
status: New → Confirmed
Revision history for this message
Gökçen Eraslan (gkcn) wrote :

I see the same trace in my syslog. I'm using 14e4:4331 broadcom wireless card and new bcmwl 6.20.155.1+bdcom-0ubuntu6 on Raring.

Revision history for this message
Tony O'Rourke (tor-irl) wrote :

Started today 2013/05/18 and I need to reboot to get wireless working again.

May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478004] ------------[ cut here ]------------
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478053] WARNING: at /build/buildd/linux-3.8.0/net/wireless/sme.c:642 cfg80211_roamed+0x9a/0xa0 [cfg80211]()
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478056] Hardware name: Inspiron 1545
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478059] Modules linked in: michael_mic(F) arc4(F) joydev(F) coretemp dell_wmi gpio_ich sparse_keymap ip6t_REJECT(F) xt_hl(F) ip6t_rt(F) dell_laptop dcdbas nf_conntrack_ipv6(F) nf_defrag_ipv6(F) ipt_REJECT(F) xt_LOG(F) snd_hda_codec_idt xt_limit(F) xt_tcpudp(F) xt_addrtype(F) snd_hda_intel nf_conntrack_ipv4(F) nf_defrag_ipv4(F) snd_hda_codec snd_hwdep(F) xt_state(F) ip6table_filter(F) psmouse(F) snd_pcm(F) microcode(F) serio_raw(F) ip6_tables(F) snd_page_alloc(F) nf_conntrack_netbios_ns(F) nf_conntrack_broadcast(F) nf_nat_ftp(F) lib80211_crypt_tkip nf_nat(F) nf_conntrack_ftp(F) nf_conntrack(F) iptable_filter(F) ip_tables(F) x_tables(F) parport_pc(F) snd_seq_midi(F) snd_seq_midi_event(F) ppdev(F) radeon mac_hid snd_rawmidi(F) wl(POF) lpc_ich rfcomm bnep bluetooth ttm lib80211 snd_seq(F) drm_kms_helper cfg80211 video(F) drm snd_seq_device(F) snd_timer(F) wmi i2c_algo_bit snd(F) soundcore(F) lp(F) parport(F) hid_generic usbhid hid ums_realtek usb_storage(F) ahci(F) libahci(F) sk
May 18 11:36:54 tony-Inspiron-1545 kernel: y2
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478155] Pid: 706, comm: wl_event_handle Tainted: PF O 3.8.0-21-generic #32-Ubuntu
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478158] Call Trace:
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478168] [<ffffffff810587ef>] warn_slowpath_common+0x7f/0xc0
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478173] [<ffffffff8105884a>] warn_slowpath_null+0x1a/0x20
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478201] [<ffffffffa0149aea>] cfg80211_roamed+0x9a/0xa0 [cfg80211]
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478250] [<ffffffffa0370454>] wl_notify_roaming_status+0xb4/0x130 [wl]
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478296] [<ffffffffa0370a25>] wl_event_handler+0x55/0x1f0 [wl]
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478341] [<ffffffffa03709d0>] ? wl_notify_scan_status+0x340/0x340 [wl]
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478347] [<ffffffff8107d300>] kthread+0xc0/0xd0
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478352] [<ffffffff8107d240>] ? kthread_create_on_node+0x120/0x120
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478359] [<ffffffff816d372c>] ret_from_fork+0x7c/0xb0
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478364] [<ffffffff8107d240>] ? kthread_create_on_node+0x120/0x120
May 18 11:36:54 tony-Inspiron-1545 kernel: [ 700.478368] ---[ end trace e1d7aeaf544caf3c ]---
May 18 11:36:55 tony-Inspiron-1545 kernel: [ 702.072312] ------------[ cut here ]------------

Revision history for this message
Tony O'Rourke (tor-irl) wrote :

Issuing 'sudo service network-manager restart' gets the wireless connection running again.

Revision history for this message
Tony O'Rourke (tor-irl) wrote :

As of 2013-06-05 this problem has stopped, everything is working OK again. I have made no changes to my router but I have been applying patches as normal.

Revision history for this message
Adam Porter (alphapapa) wrote :

I recommend this bug be closed unless anyone reports further problems. It may have been fixed by recent kernel updates.

Changed in bcmwl (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
KorRaf (rakorai9) wrote :

It is still a problem on Ubuntu 13.04 with kernel 3.8.0-25-generic (on Lenovo IdeaPad z580)

Revision history for this message
Nathan Hoad (pathan) wrote :

This is a problem for me too. I'm running Arch Linux with kernel 3.9.4, Lenovo E520.

Jun 21 16:46:02 localhost kernel: [324509.467112] WARNING: at net/wireless/sme.c:642 cfg80211_roamed+0x8c/0x90 [cfg80211]()
Jun 21 16:46:02 localhost kernel: [324509.467114] Hardware name:
Jun 21 16:46:02 localhost kernel: [324509.467115] Modules linked in: hid_dr ff_memless nfsv3 nfs_acl nfsv4 auth_rpcgss ppp_async crc_ccitt sha1_ssse3 sha1_generic ppp_mppe ppp_generic slhc michael_mic arc4 ecb uvcvideo btusb videobuf2_vmalloc videobuf2_memops videobuf2_core bluetooth videodev media hid_lenovo_tpkbd snd_hda_codec_hdmi snd_hda_codec_conexant joydev intel_powerclamp coretemp kvm_intel kvm crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel aes_x86_64 xts lib80211_crypt_tkip lrw gf128mul ablk_helper cryptd wl(PO) r8169 psmouse serio_raw mii snd_hda_intel snd_hda_codec snd_hwdep snd_pcm lib80211 snd_page_alloc cfg80211 thinkpad_acpi iTCO_wdt iTCO_vendor_support nvram microcode snd_timer snd soundcore i915 thermal ac video mperf intel_agp intel_gtt drm_kms_helper drm i2c_algo_bit wmi i2c_i801 i2c_core rfkill battery mei lpc_ich evdev processor button vboxnetadp(O) vboxnetflt(O) vboxdrv(O) nfs lockd sunrpc fscache ext4 crc16 mbcache jbd2 sr_mod cdrom sd_mod usbhid hid ahci libahci libata ehci_pci ehci_hcd scsi_mod usbcore sdhci_pci sdhci mmc_core usb_common
Jun 21 16:46:02 localhost kernel: [324509.467171] Pid: 195, comm: wl_event_handle Tainted: P W O 3.9.4-1-ARCH #1
Jun 21 16:46:02 localhost kernel: [324509.467172] Call Trace:
Jun 21 16:46:02 localhost kernel: [324509.467178] [<ffffffff810580b0>] warn_slowpath_common+0x70/0xa0
Jun 21 16:46:02 localhost kernel: [324509.467180] [<ffffffff8105819a>] warn_slowpath_null+0x1a/0x20
Jun 21 16:46:02 localhost kernel: [324509.467187] [<ffffffffa07468dc>] cfg80211_roamed+0x8c/0x90 [cfg80211]
Jun 21 16:46:02 localhost kernel: [324509.467197] [<ffffffffa08638ac>] wl_notify_roaming_status+0xac/0x130 [wl]
Jun 21 16:46:02 localhost kernel: [324509.467204] [<ffffffffa08604e5>] wl_event_handler+0x55/0x1f0 [wl]
Jun 21 16:46:02 localhost kernel: [324509.467211] [<ffffffffa0860490>] ? wl_deinit_priv_mem+0xa0/0xa0 [wl]
Jun 21 16:46:02 localhost kernel: [324509.467214] [<ffffffff8107b600>] kthread+0xc0/0xd0
Jun 21 16:46:02 localhost kernel: [324509.467217] [<ffffffff8107b540>] ? kthread_create_on_node+0x120/0x120
Jun 21 16:46:02 localhost kernel: [324509.467220] [<ffffffff814d9dec>] ret_from_fork+0x7c/0xb0
Jun 21 16:46:02 localhost kernel: [324509.467222] [<ffffffff8107b540>] ? kthread_create_on_node+0x120/0x120
Jun 21 16:46:02 localhost kernel: [324509.467223] ---[ end trace d01b8c711688f9e6 ]---

Revision history for this message
Bernardo Reino (reinob) wrote :

Marking as confirmed, as per #24 and #25.

Changed in bcmwl (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Nathan Hoad (pathan) wrote :

If there's any information I can provide that will assist in getting this resolved, let me know. This happens to me at least once a day, sometimes two or three times.

Revision history for this message
keesj (keesj) wrote :

I am having the same slow path and

[36338.985692] cfg80211: Calling CRDA to update world regulatory domain
[36338.998125] cfg80211: World regulatory domain updated:
[36338.998137] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[36338.998147] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[36338.998155] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[36338.998163] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[36338.998171] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[36338.998179] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

comming up on
Linux castor 3.8.0-30-generic #44-Ubuntu SMP Thu Aug 22 20:52:24 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
master@castor:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 13.04
Release: 13.04
Codename: raring

*The WIFI setup contains two acces points using the same name.*

Revision history for this message
LCID Fire (lcid-fire) wrote :

Started occuring for me today in raring.
modprobe --remove wl && modprobe wl makes it work again.
As I don't expect this to get fixed I'll try my luck with upgrading to saucy.

Revision history for this message
Vangel Ajanovski (ajanovski) wrote :

I have this problem too - I am using Arch linux, and have had the same problem as far back as I can remember.
Sometimes solution is to restart networking, sometimes you have to reload the wl module, same as #29 suggests

Revision history for this message
Vangel Ajanovski (ajanovski) wrote :

Sorry, I forgot to add that I only have a single AP which is less than 10m away, so no roaming case here.

Revision history for this message
Craig Magina (craig.magina) wrote :

Still occurs in trusty.

[62686.310978] ------------[ cut here ]------------
[62686.311009] WARNING: CPU: 1 PID: 550 at /build/buildd/linux-3.13.0/net/wireless/sme.c:797 cfg80211_roamed+0x89/0x90 [cfg80211]()
[62686.311011] Modules linked in: 8021q garp mrp veth ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT xt_CHECKSUM iptable_mangle xt_tcpudp bridge stp llc ip6table_filter ip6_tables iptable_filter ip_tables ebtable_nat ebtables x_tables dm_crypt snd_hda_codec_hdmi snd_hda_codec_cirrus intel_rapl snd_hda_intel snd_usb_audio snd_hda_codec snd_usbmidi_lib snd_hwdep x86_pkg_temp_thermal intel_powerclamp snd_pcm coretemp rfcomm bnep snd_page_alloc kvm_intel snd_seq_midi kvm snd_seq_midi_event snd_rawmidi applesmc input_polldev crct10dif_pclmul crc32_pclmul snd_seq ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd_seq_device lib80211_crypt_tkip snd_timer bcm5974 joydev lpc_ich wl(POF) btusb lib80211 snd bluetooth cfg80211 mei_me mei soundcore nls_iso8859_1 mac_hid apple_bl parport_pc ppdev lp parport btrfs xor raid6_pq libcrc32c hid_logitech_dj hid_apple hid_generic usbhid hid usb_storage i915 i2c_algo_bit drm_kms_helper drm ahci libahci video
[62686.311066] CPU: 1 PID: 550 Comm: wl_event_handle Tainted: PF W O 3.13.0-24-generic #46-Ubuntu
[62686.311068] Hardware name: Apple Inc. MacBookPro11,1/Mac-189A3D4F975D5FFC, BIOS MBP111.88Z.0138.B03.1310291227 10/29/2013
[62686.311069] 0000000000000009 ffff8804574cbd88 ffffffff81715a64 0000000000000000
[62686.311073] ffff8804574cbdc0 ffffffff810676bd ffff8804560a5000 ffff880157263c00
[62686.311076] 0000000000000099 ffff880056864780 0000000000000001 ffff8804574cbdd0
[62686.311079] Call Trace:
[62686.311085] [<ffffffff81715a64>] dump_stack+0x45/0x56
[62686.311089] [<ffffffff810676bd>] warn_slowpath_common+0x7d/0xa0
[62686.311091] [<ffffffff8106779a>] warn_slowpath_null+0x1a/0x20
[62686.311102] [<ffffffffa0300509>] cfg80211_roamed+0x89/0x90 [cfg80211]
[62686.311136] [<ffffffffa0583528>] wl_bss_connect_done.isra.21+0x98/0x1a0 [wl]
[62686.311163] [<ffffffffa058382c>] wl_notify_connect_status+0x1fc/0x410 [wl]
[62686.311190] [<ffffffffa0582135>] wl_event_handler+0x55/0x220 [wl]
[62686.311216] [<ffffffffa05820e0>] ? wl_get_assoc_ies+0x240/0x240 [wl]
[62686.311219] [<ffffffff8108b312>] kthread+0xd2/0xf0
[62686.311222] [<ffffffff8108b240>] ? kthread_create_on_node+0x1d0/0x1d0
[62686.311225] [<ffffffff8172637c>] ret_from_fork+0x7c/0xb0
[62686.311228] [<ffffffff8108b240>] ? kthread_create_on_node+0x1d0/0x1d0
[62686.311229] ---[ end trace b1d920555ef46993 ]---

Broadcom Wireless Driver: bcmwl-kernel-source 6.30.223.141+bdcom-0ubuntu2

Revision history for this message
Craig Magina (craig.magina) wrote :

And this trace as well:

[62686.407367] ------------[ cut here ]------------
[62686.407438] WARNING: CPU: 1 PID: 550 at /build/buildd/linux-3.13.0/net/wireless/sme.c:797 cfg80211_roamed+0x89/0x90 [cfg80211]()
[62686.407442] Modules linked in: 8021q garp mrp veth ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT xt_CHECKSUM iptable_mangle xt_tcpudp bridge stp llc ip6table_filter ip6_tables iptable_filter ip_tables ebtable_nat ebtables x_tables dm_crypt snd_hda_codec_hdmi snd_hda_codec_cirrus intel_rapl snd_hda_intel snd_usb_audio snd_hda_codec snd_usbmidi_lib snd_hwdep x86_pkg_temp_thermal intel_powerclamp snd_pcm coretemp rfcomm bnep snd_page_alloc kvm_intel snd_seq_midi kvm snd_seq_midi_event snd_rawmidi applesmc input_polldev crct10dif_pclmul crc32_pclmul snd_seq ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd_seq_device lib80211_crypt_tkip snd_timer bcm5974 joydev lpc_ich wl(POF) btusb lib80211 snd bluetooth cfg80211 mei_me mei soundcore nls_iso8859_1 mac_hid apple_bl parport_pc ppdev lp parport btrfs xor raid6_pq libcrc32c hid_logitech_dj hid_apple hid_generic usbhid hid usb_storage i915 i2c_algo_bit drm_kms_helper drm ahci libahci video
[62686.407576] CPU: 1 PID: 550 Comm: wl_event_handle Tainted: PF W O 3.13.0-24-generic #46-Ubuntu
[62686.407580] Hardware name: Apple Inc. MacBookPro11,1/Mac-189A3D4F975D5FFC, BIOS MBP111.88Z.0138.B03.1310291227 10/29/2013
[62686.407584] 0000000000000009 ffff8804574cbdd0 ffffffff81715a64 0000000000000000
[62686.407592] ffff8804574cbe08 ffffffff810676bd ffff8804560a5000 ffff880157263300
[62686.407599] 0000000000000099 ffff880056864180 ffff8804560a69f8 ffff8804574cbe18
[62686.407607] Call Trace:
[62686.407621] [<ffffffff81715a64>] dump_stack+0x45/0x56
[62686.407630] [<ffffffff810676bd>] warn_slowpath_common+0x7d/0xa0
[62686.407636] [<ffffffff8106779a>] warn_slowpath_null+0x1a/0x20
[62686.407663] [<ffffffffa0300509>] cfg80211_roamed+0x89/0x90 [cfg80211]
[62686.407745] [<ffffffffa058340c>] wl_notify_roaming_status+0xac/0x130 [wl]
[62686.407814] [<ffffffffa0582135>] wl_event_handler+0x55/0x220 [wl]
[62686.407879] [<ffffffffa05820e0>] ? wl_get_assoc_ies+0x240/0x240 [wl]
[62686.407887] [<ffffffff8108b312>] kthread+0xd2/0xf0
[62686.407894] [<ffffffff8108b240>] ? kthread_create_on_node+0x1d0/0x1d0
[62686.407902] [<ffffffff8172637c>] ret_from_fork+0x7c/0xb0
[62686.407909] [<ffffffff8108b240>] ? kthread_create_on_node+0x1d0/0x1d0
[62686.407913] ---[ end trace b1d920555ef46994 ]---

Revision history for this message
Shaleen Jain (shalzz95) wrote :

Happened to me in saucy as well.

------------[ cut here ]------------
 WARNING: CPU: 2 PID: 502 at /build/buildd/linux-3.11.0/net/wireless/sme.c:795 cfg80211_roamed+0x89/0x90 [cfg80211]()
 Modules linked in: hid_generic usbhid hid snd_hrtimer cuse parport_pc ppdev bnep rfcomm bluetooth x86_pkg_temp_thermal intel_powerclamp coretemp joydev kvm_intel kvm uvcvideo crct10dif_pclmul lib80211_crypt_tkip crc32_pclmul ghash_clmulni_intel snd_hda_codec_hdmi snd_hda_codec_realtek cryptd videobuf2_vmalloc videobuf2_memops videobuf2_core wl(POF) snd_hda_intel videodev snd_hda_codec thinkpad_acpi snd_hwdep snd_pcm nvram snd_page_alloc snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer lib80211 snd cfg80211 psmouse soundcore lp rtsx_pci_ms memstick mac_hid mei_me wmi serio_raw mei lpc_ich microcode parport rtsx_pci_sdmmc i915 ahci libahci i2c_algo_bit rtsx_pci drm_kms_helper r8169 mii drm video
CPU: 2 PID: 502 Comm: wl_event_handle Tainted: PF W O 3.11.0-20-generic-tuxonice #35~ppa1-Ubuntu
 Hardware name: LENOVO 34641K7/34641K7, BIOS H2ET66WW(1.66) 12/05/2012
  0000000000000009 ffff880102df9d88 ffffffff816fe00e 0000000000000000
  ffff880102df9dc0 ffffffff81061e2d ffff88011675d000 ffff88008965c200
  0000000000000035 ffff880007f3dba0 0000000000000001 ffff880102df9dd0
 Call Trace:
  [<ffffffff816fe00e>] dump_stack+0x45/0x56
  [<ffffffff81061e2d>] warn_slowpath_common+0x7d/0xa0
  [<ffffffff81061f0a>] warn_slowpath_null+0x1a/0x20
  [<ffffffffa0263429>] cfg80211_roamed+0x89/0x90 [cfg80211]
  [<ffffffffa04854c5>] wl_bss_connect_done.isra.21+0x105/0x1b0 [wl]
  [<ffffffffa0485774>] wl_notify_connect_status+0x204/0x420 [wl]
  [<ffffffffa0484a95>] wl_event_handler+0x55/0x1f0 [wl]
  [<ffffffffa0484a40>] ? wl_cfg80211_scan+0x380/0x380 [wl]
  [<ffffffff810848f0>] kthread+0xc0/0xd0
  [<ffffffff81084830>] ? kthread_create_on_node+0x120/0x120
  [<ffffffff8170ddec>] ret_from_fork+0x7c/0xb0
  [<ffffffff81084830>] ? kthread_create_on_node+0x120/0x120
 ---[ end trace 47c021048dc4f1c3 ]---

Broadcom Wireless Driver: bcmwl-kernel-source_6.20.155.1+bdcom-0ubuntu6_amd64

Revision history for this message
zebul666 (zebul666) wrote :
Download full text (3.2 KiB)

i happens a lot here on utopic

Jan 31 14:14:35 callisto kernel: [61966.053944] ------------[ cut here ]------------
Jan 31 14:14:35 callisto kernel: [61966.053990] WARNING: CPU: 1 PID: 8023 at /build/buildd/linux-3.16.0/net/wireless/sme.c:791 cfg80211_roamed+0x91/0xa0 [cfg80211]
()
Jan 31 14:14:35 callisto kernel: [61966.053994] Modules linked in: wl(POE) cfg80211 dccp_diag dccp tcp_diag udp_diag inet_diag unix_diag nfnetlink_queue nfnetlink_
log nfnetlink mmc_block pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) rfcomm bnep binfmt_misc xts gf128mul dm_crypt nls_iso8859_1 rtsx_usb_ms mems
tick btusb uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common 6lowpan_iphc videodev media dell_wmi sparse_keymap dell_laptop dcdbas d
m_multipath scsi_dh snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec intel_rapl snd_hwdep x86_pkg_temp
_thermal intel_powerclamp snd_pcm kvm_intel kvm crct10dif_pclmul snd_seq_midi snd_seq_midi_event crc32_pclmul ghash_clmulni_intel snd_rawmidi cryptd snd_seq snd_se
q_device joydev snd_timer serio_raw snd lpc_ich shpchp mei_me soundcore mei mac_hid parport_pc ppdev i8k coretemp lp parport rtsx_usb_sdmmc rtsx_usb hid_generic us
bhid hid i915 i2c_algo_bit psmouse drm_kms_helper ahci r8169 drm libahci mii wmi video [last unloaded: cfg80211]
Jan 31 14:14:35 callisto kernel: [61966.054091] CPU: 1 PID: 8023 Comm: wl_event_handle Tainted: P W OE 3.16.0-29-generic #39-Ubuntu
Jan 31 14:14:35 callisto kernel: [61966.054094] Hardware name: Dell Inc. Inspiron 3521/06RYX8, BIOS A12 10/25/2013
Jan 31 14:14:35 callisto kernel: [61966.054097] 0000000000000009 ffff880152017dd0 ffffffff8178218a 0000000000000000
Jan 31 14:14:35 callisto kernel: [61966.054101] ffff880152017e08 ffffffff8106fedd ffff880191f16000 ffff8801d5800300
Jan 31 14:14:35 callisto kernel: [61966.054105] 00000000000000a2 ffff88008af77580 ffff88009dcc5a78 ffff880152017e18
Jan 31 14:14:35 callisto kernel: [61966.054110] Call Trace:
Jan 31 14:14:35 callisto kernel: [61966.054122] [<ffffffff8178218a>] dump_stack+0x45/0x56
Jan 31 14:14:35 callisto kernel: [61966.054129] [<ffffffff8106fedd>] warn_slowpath_common+0x7d/0xa0
Jan 31 14:14:35 callisto kernel: [61966.054134] [<ffffffff8106ffba>] warn_slowpath_null+0x1a/0x20
Jan 31 14:14:35 callisto kernel: [61966.054152] [<ffffffffc08ae981>] cfg80211_roamed+0x91/0xa0 [cfg80211]
Jan 31 14:14:35 callisto kernel: [61966.054210] [<ffffffffc113f8cb>] wl_notify_roaming_status+0xcb/0x150 [wl]
Jan 31 14:14:35 callisto kernel: [61966.054259] [<ffffffffc113c602>] wl_event_handler+0x62/0x260 [wl]
Jan 31 14:14:35 callisto kernel: [61966.054305] [<ffffffffc113c5a0>] ? wl_free_wdev.isra.23+0x80/0x80 [wl]
Jan 31 14:14:35 callisto kernel: [61966.054312] [<ffffffff81094c6b>] kthread+0xdb/0x100
Jan 31 14:14:35 callisto kernel: [61966.054317] [<ffffffff81094b90>] ? kthread_create_on_node+0x1c0/0x1c0
Jan 31 14:14:35 callisto kernel: [61966.054323] [<ffffffff8178a0fc>] ret_from_fork+0x7c/0xb0
Jan 31 14:14:35 callisto kernel: [61966.054328] [<ffffffff81094b90>] ? kthread_create_on_node+0x1c0/0x1c0
Jan 31 14:14:35 callisto kernel: [6...

Read more...

Revision history for this message
zebul666 (zebul666) wrote :

that is reproductilbe always when i switch off network-manager (service netork-manager stop) and began to tinker from the command line with wifi.
If I ever want to go back to use network-manager by reenabling it (service network-manager start), it fails to associate to any wifi network with stack trace above.
But if i go back to command line, i can connect without problem or stack trace !!!!

Revision history for this message
Mehdi (mehdi-ti) wrote :

This bug prevents me from connecting to some wireless routers. Please set the importance as high prority and assigne it to someone.

I am using Ubuntu 14.04 (3.13.0-40-generic x86_64), my laptop has BCM4313 (as lspci reports), and I am using latest bcmwl-kernel-source driver (6.30.223.248+bdcom-0ubuntu0.1).

Since it is an issue in Ubuntu 14.04 LTS, and it prevent connecting to WiFi router, it is a critical bug, and it needed to be fixed even if it is a kernel issue.

dmesg log:

[ 2340.198282] ------------[ cut here ]------------
[ 2340.198322] WARNING: CPU: 0 PID: 14265 at /build/buildd/linux-3.13.0/net/wireless/sme.c:797 cfg80211_roamed+0x89/0x90 [cfg80211]()
[ 2340.198325] Modules linked in: wl(POX) cfg80211 ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT xt_CHECKSUM iptable_mangle xt_tcpudp bridge stp llc thinkpad_acpi nvram msr pci_stub vboxpci(OX) vboxnetadp(OX) vboxnetflt(OX) vboxdrv(OX) ip6table_filter ip6_tables iptable_filter ip_tables ebtable_nat ebtables x_tables zram(C) rfcomm bnep binfmt_misc snd_hda_codec_hdmi(OX) uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core joydev videodev btusb bluetooth dm_multipath scsi_dh intel_powerclamp coretemp kvm_intel kvm snd_hda_codec_conexant(OX) snd_hda_codec_generic(OX) snd_hda_intel(OX) snd_hda_controller(OX) snd_hda_codec(OX) snd_hwdep snd_pcm serio_raw nvidia(POX) intel_ips lpc_ich snd_seq_midi snd_seq_midi_event snd_rawmidi drm snd_page_alloc snd_seq snd_seq_device snd_timer ideapad_laptop sparse_keymap snd mac_hid parport_pc shpchp mei_me mei wmi soundcore ppdev sctp libcrc32c lp parport uvesafb ums_realtek usb_storage hid_logitech_dj usbhid hid psmouse ahci r8169 libahci mii video [last unloaded: cfg80211]
[ 2340.198442] CPU: 0 PID: 14265 Comm: wl_event_handle Tainted: P WC OX 3.13.0-40-generic #69-Ubuntu
[ 2340.198445] Hardware name: LENOVO 20042 /Base Board Product Name, BIOS 29CN38WW(V2.15) 01/28/2011
[ 2340.198448] 0000000000000009 ffff8801bb5c1dd0 ffffffff8171f226 0000000000000000
[ 2340.198453] ffff8801bb5c1e08 ffffffff810677cd ffff8801bb0a0000 ffff880080bb19c0
[ 2340.198457] 000000000000005f ffff8801bbb1df40 ffff8800a40149f8 ffff8801bb5c1e18
[ 2340.198462] Call Trace:
[ 2340.198472] [<ffffffff8171f226>] dump_stack+0x45/0x56
[ 2340.198479] [<ffffffff810677cd>] warn_slowpath_common+0x7d/0xa0
[ 2340.198483] [<ffffffff810678aa>] warn_slowpath_null+0x1a/0x20
[ 2340.198502] [<ffffffffa0daf509>] cfg80211_roamed+0x89/0x90 [cfg80211]
[ 2340.198565] [<ffffffffa17ef77b>] wl_notify_roaming_status+0xcb/0x150 [wl]
[ 2340.198622] [<ffffffffa17ee3b2>] wl_event_handler+0x62/0x220 [wl]
[ 2340.198678] [<ffffffffa17ee350>] ? wl_cfg80211_resume+0x440/0x440 [wl]
[ 2340.198684] [<ffffffff8108b562>] kthread+0xd2/0xf0
[ 2340.198688] [<ffffffff8108b490>] ? kthread_create_on_node+0x1c0/0x1c0
[ 2340.198693] [<ffffffff8172fc7c>] ret_from_fork+0x7c/0xb0
[ 2340.198697] [<ffffffff8108b490>] ? kthread_create_on_node+0x1c0/0x1c0
[ 2340.198700] ---[ end trace b899a88463385bd1 ]---

Revision history for this message
Mehdi (mehdi-ti) wrote :

I am not sure if the problem of not connecting to Wifi comes from this bug, or it is a wpa_client, network manager bug!

By reloading wl, cfg80211 module, and killing(restaring) wpa_client and NetworkManger, make it possible to connect to Wifi router again. Very strange.

Revision history for this message
Hassan El Jacifi (waver) wrote :
Download full text (4.4 KiB)

[ 17.488002] ------------[ cut here ]------------
[ 17.488021] WARNING: CPU: 3 PID: 242 at /build/buildd/linux-3.16.0/net/wireless/reg.c:411 restore_regulatory_settings+0x9a/0x410 [cfg80211]()
[ 17.488022] Unexpected user alpha2: #A
[ 17.488024] Modules linked in: snd_hda_codec_hdmi nvidia(POE) drm snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer mxm_wmi serio_raw shpchp snd soundcore kvm_intel kvm wmi i7core_edac edac_core mac_hid cuse it87 hwmon_vid coretemp parport_pc ppdev lp parport autofs4 xfs libcrc32c pata_acpi hid_generic usbhid hid wl(POE) cfg80211 psmouse ahci pata_jmicron libahci
[ 17.488043] CPU: 3 PID: 242 Comm: kworker/u32:16 Tainted: P OE 3.16.0-37-generic #51-Ubuntu
[ 17.488045] Hardware name: Gigabyte Technology Co., Ltd. X58A-UD3R/X58A-UD3R, BIOS F8b 10/07/2011
[ 17.488053] Workqueue: events_power_efficient reg_timeout_work [cfg80211]
[ 17.488054] 0000000000000009 ffff8803086ffd20 ffffffff81784a0e ffff8803086ffd68
[ 17.488056] ffff8803086ffd58 ffffffff8106fefd 0000000000000023 ffff8803086ffdd0
[ 17.488058] ffff880313011800 0000000000000001 0000000000000400 ffff8803086ffdb8
[ 17.488060] Call Trace:
[ 17.488064] [<ffffffff81784a0e>] dump_stack+0x45/0x56
[ 17.488067] [<ffffffff8106fefd>] warn_slowpath_common+0x7d/0xa0
[ 17.488069] [<ffffffff8106ff6c>] warn_slowpath_fmt+0x4c/0x50
[ 17.488077] [<ffffffffc00bc9e5>] ? reg_free_last_request+0x25/0x30 [cfg80211]
[ 17.488084] [<ffffffffc00be81a>] restore_regulatory_settings+0x9a/0x410 [cfg80211]
[ 17.488092] [<ffffffffc00beba8>] reg_timeout_work+0x18/0x20 [cfg80211]
[ 17.488095] [<ffffffff8108d142>] process_one_work+0x182/0x4e0
[ 17.488097] [<ffffffff8108dedb>] worker_thread+0x6b/0x660
[ 17.488099] [<ffffffff8108de70>] ? flush_delayed_work+0x50/0x50
[ 17.488101] [<ffffffff81094d7b>] kthread+0xdb/0x100
[ 17.488104] [<ffffffff81094ca0>] ? kthread_create_on_node+0x1c0/0x1c0
[ 17.488107] [<ffffffff8178c958>] ret_from_fork+0x58/0x90
[ 17.488109] [<ffffffff81094ca0>] ? kthread_create_on_node+0x1c0/0x1c0
[ 17.488110] ---[ end trace 59083b060bb0617d ]---

[ 403.534894] ------------[ cut here ]------------
[ 403.534926] WARNING: CPU: 2 PID: 200 at /build/buildd/linux-3.16.0/net/wireless/sme.c:791 cfg80211_roamed+0x91/0xa0 [cfg80211]()
[ 403.534928] Modules linked in: xt_multiport zram lz4_compress binfmt_misc xt_recent nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack xt_LOG xt_tcpudp xt_limit ipt_REJECT iptable_filter ip_tables x_tables snd_hda_codec_hdmi nvidia(POE) drm snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer mxm_wmi serio_raw shpchp snd soundcore kvm_intel kvm wmi i7core_edac edac_core mac_hid cuse it87 hwmon_vid coretemp parport_pc ppdev lp parport autofs4 xfs libcrc32c pata_acpi hid_generic usbhid hid wl(POE) cfg80211 psmouse ahci pata_jmicron libahci
[ 403.534971] CPU: 2 PID: 200 Comm: wl_event_handle Tainted: P W...

Read more...

Revision history for this message
Hassan El Jacifi (waver) wrote :

Same issue with the lastest kernel from Vivid 3.19.0-18.18 and bcmwl-kernel-source version: 6.30.223.248+bdcom-0ubuntu2 or 6.30.223.248+bdcom-0ubuntu3

Revision history for this message
Hassan El Jacifi (waver) wrote :
Revision history for this message
Richard Decal (crypdick) wrote :

I've been having this problem for a couple months, too.

#uname -a
Linux xps 4.3.0-0.bpo.1-amd64 #1 SMP Debian 4.3.3-7~bpo8+1 (2016-01-19) x86_64 GNU/Linux

#lspci
Broadcom Corporation BCM4352 802.11ac Wireless Network Adapter [14e4:43b1] (rev 03)
 Subsystem: Dell Device [1028:0019]
 Capabilities: <access denied>
 Kernel driver in use: wl

Various outputs of dmesg attached.

Revision history for this message
Vidar Braut Haarr (vhaarr+launchpad) wrote :

uname -a
Linux plantasjen 4.14.0-041400rc8-generic #201711052313 SMP Sun Nov 5 23:14:08 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

02:00.0 Network controller: Broadcom Limited BCM4360 802.11ac Wireless Network Adapter (rev 03)
 Subsystem: Broadcom Limited BCM4360 802.11ac Wireless Network Adapter
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at f7400000 (64-bit, non-prefetchable) [size=32K]
 Memory at f7200000 (64-bit, non-prefetchable) [size=2M]
 Capabilities: <access denied>
 Kernel driver in use: wl
 Kernel modules: bcma, wl

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers